<?xml version='1.0' encoding="koi8-r"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version='1.0'>

<xsl:output encoding="koi8-r"/>
<!-- $Id: arrange.xsl,v 1.7 2003/05/07 12:35:05 vyt Exp $ -->

<xsl:param name="tag-level1">section</xsl:param>
<xsl:param name="tag-level2">section</xsl:param>
<xsl:param name="tag-level3">section</xsl:param>

<xsl:template match="section">

 <xsl:variable name="new-name">
  <xsl:choose>
     <xsl:when test="count(ancestor::*)=0"><xsl:value-of select="$tag-level1"/></xsl:when>
     <xsl:when test="count(ancestor::*)=1"><xsl:value-of select="$tag-level2"/></xsl:when>
     <xsl:when test="count(ancestor::*)=2"><xsl:value-of select="$tag-level3"/></xsl:when>
     <xsl:otherwise>section</xsl:otherwise>
  </xsl:choose>
 </xsl:variable>
 <xsl:element name="{$new-name}">
   <xsl:apply-templates select="@*|*"/>
 </xsl:element>
</xsl:template> 

<xsl:template match="sectioninfo">
 <xsl:variable name="new-name">
  <xsl:choose>
     <xsl:when test="count(ancestor::*)=1"><xsl:value-of select="$tag-level1"/>info</xsl:when>
     <xsl:when test="count(ancestor::*)=2"><xsl:value-of select="$tag-level2"/>info</xsl:when>
     <xsl:when test="count(ancestor::*)=3"><xsl:value-of select="$tag-level3"/>info</xsl:when>
     <xsl:otherwise>sectioninfo</xsl:otherwise>
  </xsl:choose>
 </xsl:variable>
 <xsl:element name="{$new-name}">
   <xsl:apply-templates select="@*|*"/>
 </xsl:element>
</xsl:template> 


</xsl:stylesheet>
